Bug 1281895 - [abrt] webkitgtk4: WebCore::Node::renderer(): WebKitWebProcess killed by SIGSEGV
[abrt] webkitgtk4: WebCore::Node::renderer(): WebKitWebProcess killed by SIGSEGV
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: webkitgtk4 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Popela
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:37382cf334c5b3cd8e53f0238ec...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 12:53 EST by Michael Catanzaro
Modified: 2016-11-18 13:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-18 13:25:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (94.41 KB, text/plain)
2015-11-13 12:53 EST, Michael Catanzaro
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-13 12:53 EST, Michael Catanzaro
no flags Details
File: core_backtrace (8.73 KB, text/plain)
2015-11-13 12:53 EST, Michael Catanzaro
no flags Details
File: dso_list (14.23 KB, text/plain)
2015-11-13 12:53 EST, Michael Catanzaro
no flags Details
File: environ (1.70 KB, text/plain)
2015-11-13 12:53 EST, Michael Catanzaro
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-13 12:53 EST, Michael Catanzaro
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-13 12:53 EST, Michael Catanzaro
no flags Details
File: maps (73.71 KB, text/plain)
2015-11-13 12:53 EST, Michael Catanzaro
no flags Details
File: mountinfo (3.36 KB, text/plain)
2015-11-13 12:53 EST, Michael Catanzaro
no flags Details
File: open_fds (1.99 KB, text/plain)
2015-11-13 12:53 EST, Michael Catanzaro
no flags Details
File: proc_pid_status (1013 bytes, text/plain)
2015-11-13 12:53 EST, Michael Catanzaro
no flags Details

  None (edit)
Description Michael Catanzaro 2015-11-13 12:53:07 EST
Version-Release number of selected component:
webkitgtk4-2.10.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 33
crash_function: WebCore::Node::renderer
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     4021
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WebCore::Node::renderer at /usr/src/debug/webkitgtk-2.10.3/Source/WebCore/dom/Node.h:448
 #1 WebCore::FrameSelection::notifyAccessibilityForSelectionChange at /usr/src/debug/webkitgtk-2.10.3/Source/WebCore/editing/atk/FrameSelectionAtk.cpp:89
 #2 WebCore::FrameSelection::updateAndRevealSelection at /usr/src/debug/webkitgtk-2.10.3/Source/WebCore/editing/FrameSelection.cpp:391
 #3 WebCore::FrameSelection::setSelection at /usr/src/debug/webkitgtk-2.10.3/Source/WebCore/editing/FrameSelection.cpp:352
 #4 WebCore::FrameSelection::setSelectionByMouseIfDifferent at /usr/src/debug/webkitgtk-2.10.3/Source/WebCore/editing/FrameSelection.cpp:265
 #5 WebCore::EventHandler::updateSelectionForMouseDrag at /usr/src/debug/webkitgtk-2.10.3/Source/WebCore/page/EventHandler.cpp:1027
 #6 WebCore::EventHandler::handleMouseDraggedEvent at /usr/src/debug/webkitgtk-2.10.3/Source/WebCore/page/EventHandler.cpp:895
 #7 WebCore::EventHandler::handleMouseMoveEvent at /usr/src/debug/webkitgtk-2.10.3/Source/WebCore/page/EventHandler.cpp:2034
 #8 WebCore::EventHandler::mouseMoved at /usr/src/debug/webkitgtk-2.10.3/Source/WebCore/page/EventHandler.cpp:1894
 #9 WebCore::UserInputBridge::handleMouseMoveEvent at /usr/src/debug/webkitgtk-2.10.3/Source/WebCore/replay/UserInputBridge.cpp:129
Comment 1 Michael Catanzaro 2015-11-13 12:53:11 EST
Created attachment 1093752 [details]
File: backtrace
Comment 2 Michael Catanzaro 2015-11-13 12:53:12 EST
Created attachment 1093753 [details]
File: cgroup
Comment 3 Michael Catanzaro 2015-11-13 12:53:13 EST
Created attachment 1093754 [details]
File: core_backtrace
Comment 4 Michael Catanzaro 2015-11-13 12:53:14 EST
Created attachment 1093755 [details]
File: dso_list
Comment 5 Michael Catanzaro 2015-11-13 12:53:15 EST
Created attachment 1093756 [details]
File: environ
Comment 6 Michael Catanzaro 2015-11-13 12:53:16 EST
Created attachment 1093757 [details]
File: exploitable
Comment 7 Michael Catanzaro 2015-11-13 12:53:17 EST
Created attachment 1093758 [details]
File: limits
Comment 8 Michael Catanzaro 2015-11-13 12:53:19 EST
Created attachment 1093759 [details]
File: maps
Comment 9 Michael Catanzaro 2015-11-13 12:53:20 EST
Created attachment 1093760 [details]
File: mountinfo
Comment 10 Michael Catanzaro 2015-11-13 12:53:21 EST
Created attachment 1093761 [details]
File: open_fds
Comment 11 Michael Catanzaro 2015-11-13 12:53:22 EST
Created attachment 1093762 [details]
File: proc_pid_status
Comment 12 Michael Catanzaro 2016-03-01 19:58:59 EST
Crash server thinks it's fixed in 2.10.4, based on a way too small sample size, but whatever.
Comment 13 Michael Catanzaro 2016-04-27 19:36:29 EDT
Similar problem has been detected:

Maybe something to do with DnD? Happened on GitHub, can't reproduce.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 45
crash_function: WebCore::Node::renderer
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
journald_cursor: s=54e906f9b66c4f08b5f03194ab6b5262;i=9cb16;b=5e42bb8caa6b4ed4abc1b7a84844451e;m=6ae8f3184;t=5317fc195d70a;x=3259a0d3e6947723
kernel:         4.4.6-301.fc23.x86_64
package:        webkitgtk4-2.12.1-1.fc23
reason:         WebKitWebProcess killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Michael Catanzaro 2016-11-18 13:25:01 EST
Not seen since F23.

Note You need to log in before you can comment on or make changes to this bug.